<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mapping Pipeline: Mapping.metrics.SAM Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mapping Pipeline
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>Mapping</b></li><li class="navelem"><b>metrics</b></li><li class="navelem"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">SAM</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="classMapping_1_1metrics_1_1SAM-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Mapping.metrics.SAM Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Representation of a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file.  
 <a href="classMapping_1_1metrics_1_1SAM.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8a78ec5f34da6dc50bf41c7f4b3055f7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a8a78ec5f34da6dc50bf41c7f4b3055f7">__init__</a> (self, <a class="el" href="classMapping_1_1metrics_1_1SAM.html#aebee6817dbab92c8e526d57da4eebe6b">sam_file_path</a>, <a class="el" href="classMapping_1_1metrics_1_1SAM.html#a327f223e0cbbdf0ccbe6a71961b24937">logger</a>=None, <a class="el" href="classMapping_1_1metrics_1_1SAM.html#a7f1aecfc582a95aff4a3863299957655">samtools</a>=None)</td></tr>
<tr class="memdesc:a8a78ec5f34da6dc50bf41c7f4b3055f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The constructor.  <a href="#a8a78ec5f34da6dc50bf41c7f4b3055f7">More...</a><br /></td></tr>
<tr class="separator:a8a78ec5f34da6dc50bf41c7f4b3055f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf3a6b795b5380de6122481240148df3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#acf3a6b795b5380de6122481240148df3">get_alignments</a> (self, reference=None, until_eof=False)</td></tr>
<tr class="memdesc:acf3a6b795b5380de6122481240148df3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get alignments in a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file.  <a href="#acf3a6b795b5380de6122481240148df3">More...</a><br /></td></tr>
<tr class="separator:acf3a6b795b5380de6122481240148df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83f0aa0c67dd97a7a1c159e541904091"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a83f0aa0c67dd97a7a1c159e541904091">get_flags</a> (self)</td></tr>
<tr class="memdesc:a83f0aa0c67dd97a7a1c159e541904091"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get flags in a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file.  <a href="#a83f0aa0c67dd97a7a1c159e541904091">More...</a><br /></td></tr>
<tr class="separator:a83f0aa0c67dd97a7a1c159e541904091"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9733bf59827a9097250f3f1ce98e1480"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a9733bf59827a9097250f3f1ce98e1480">get_sam_file</a> (self)</td></tr>
<tr class="memdesc:a9733bf59827a9097250f3f1ce98e1480"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return pysam object.  <a href="#a9733bf59827a9097250f3f1ce98e1480">More...</a><br /></td></tr>
<tr class="separator:a9733bf59827a9097250f3f1ce98e1480"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7245f996a23477af26e09181bbde925e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a7245f996a23477af26e09181bbde925e">get_sam_file_path</a> (self)</td></tr>
<tr class="memdesc:a7245f996a23477af26e09181bbde925e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return file path of <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file.  <a href="#a7245f996a23477af26e09181bbde925e">More...</a><br /></td></tr>
<tr class="separator:a7245f996a23477af26e09181bbde925e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e5aa6c6b75d98de4f2a5a9b9b81f4b7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a0e5aa6c6b75d98de4f2a5a9b9b81f4b7">get_reference_count</a> (self)</td></tr>
<tr class="memdesc:a0e5aa6c6b75d98de4f2a5a9b9b81f4b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get number of references in <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file.  <a href="#a0e5aa6c6b75d98de4f2a5a9b9b81f4b7">More...</a><br /></td></tr>
<tr class="separator:a0e5aa6c6b75d98de4f2a5a9b9b81f4b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9026a490456db39a18ed3cd39a0b2178"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a9026a490456db39a18ed3cd39a0b2178">get_reference_name</a> (self, ref_id)</td></tr>
<tr class="memdesc:a9026a490456db39a18ed3cd39a0b2178"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get name of a reference.  <a href="#a9026a490456db39a18ed3cd39a0b2178">More...</a><br /></td></tr>
<tr class="separator:a9026a490456db39a18ed3cd39a0b2178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7408c5dd3982f93484d73377466dbc17"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a7408c5dd3982f93484d73377466dbc17">get_lengths</a> (self)</td></tr>
<tr class="memdesc:a7408c5dd3982f93484d73377466dbc17"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get lengths of references.  <a href="#a7408c5dd3982f93484d73377466dbc17">More...</a><br /></td></tr>
<tr class="separator:a7408c5dd3982f93484d73377466dbc17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6273e6d162b128fa8b3191b0fa7ac8e4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a6273e6d162b128fa8b3191b0fa7ac8e4">get_references</a> (self)</td></tr>
<tr class="memdesc:a6273e6d162b128fa8b3191b0fa7ac8e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get references.  <a href="#a6273e6d162b128fa8b3191b0fa7ac8e4">More...</a><br /></td></tr>
<tr class="separator:a6273e6d162b128fa8b3191b0fa7ac8e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a8dcf8ef43ccad99f25255ea2b4cdd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a79a8dcf8ef43ccad99f25255ea2b4cdd">get_reference_pos</a> (self, reference)</td></tr>
<tr class="memdesc:a79a8dcf8ef43ccad99f25255ea2b4cdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get index of reference in pysam references list.  <a href="#a79a8dcf8ef43ccad99f25255ea2b4cdd">More...</a><br /></td></tr>
<tr class="separator:a79a8dcf8ef43ccad99f25255ea2b4cdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c94f8ec07314bf5f3e7e5d73ce3308b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a5c94f8ec07314bf5f3e7e5d73ce3308b">get_reference_length</a> (self, reference)</td></tr>
<tr class="memdesc:a5c94f8ec07314bf5f3e7e5d73ce3308b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get length of a specific reference.  <a href="#a5c94f8ec07314bf5f3e7e5d73ce3308b">More...</a><br /></td></tr>
<tr class="separator:a5c94f8ec07314bf5f3e7e5d73ce3308b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7f1aecfc582a95aff4a3863299957655"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a7f1aecfc582a95aff4a3863299957655">samtools</a></td></tr>
<tr class="memdesc:a7f1aecfc582a95aff4a3863299957655"><td class="mdescLeft">&#160;</td><td class="mdescRight">Directory containing samtools executable.  <a href="#a7f1aecfc582a95aff4a3863299957655">More...</a><br /></td></tr>
<tr class="separator:a7f1aecfc582a95aff4a3863299957655"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebee6817dbab92c8e526d57da4eebe6b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#aebee6817dbab92c8e526d57da4eebe6b">sam_file_path</a></td></tr>
<tr class="memdesc:aebee6817dbab92c8e526d57da4eebe6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">File path of the <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file.  <a href="#aebee6817dbab92c8e526d57da4eebe6b">More...</a><br /></td></tr>
<tr class="separator:aebee6817dbab92c8e526d57da4eebe6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8101f983c5b00bcbe016d12060b154e3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a8101f983c5b00bcbe016d12060b154e3">sam_file</a></td></tr>
<tr class="memdesc:a8101f983c5b00bcbe016d12060b154e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pysam object of the <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file.  <a href="#a8101f983c5b00bcbe016d12060b154e3">More...</a><br /></td></tr>
<tr class="separator:a8101f983c5b00bcbe016d12060b154e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a327f223e0cbbdf0ccbe6a71961b24937"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a327f223e0cbbdf0ccbe6a71961b24937">logger</a></td></tr>
<tr class="memdesc:a327f223e0cbbdf0ccbe6a71961b24937"><td class="mdescLeft">&#160;</td><td class="mdescRight">Logging object to write to.  <a href="#a327f223e0cbbdf0ccbe6a71961b24937">More...</a><br /></td></tr>
<tr class="separator:a327f223e0cbbdf0ccbe6a71961b24937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a021290c24c9b27af87603921b5fda863"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a021290c24c9b27af87603921b5fda863">sam_flags</a></td></tr>
<tr class="memdesc:a021290c24c9b27af87603921b5fda863"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of flags for a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file.  <a href="#a021290c24c9b27af87603921b5fda863">More...</a><br /></td></tr>
<tr class="separator:a021290c24c9b27af87603921b5fda863"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a380e7fa1040eab9b4d06ca7f7b84fe6c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a380e7fa1040eab9b4d06ca7f7b84fe6c">_read_sam</a> (self)</td></tr>
<tr class="memdesc:a380e7fa1040eab9b4d06ca7f7b84fe6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file into a pysam object.  <a href="#a380e7fa1040eab9b4d06ca7f7b84fe6c">More...</a><br /></td></tr>
<tr class="separator:a380e7fa1040eab9b4d06ca7f7b84fe6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7ac4cf8c597aef5e7175113f5d010a3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#ab7ac4cf8c597aef5e7175113f5d010a3">_read_flags</a> (self)</td></tr>
<tr class="memdesc:ab7ac4cf8c597aef5e7175113f5d010a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read the flags in a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file.  <a href="#ab7ac4cf8c597aef5e7175113f5d010a3">More...</a><br /></td></tr>
<tr class="separator:ab7ac4cf8c597aef5e7175113f5d010a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Representation of a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8a78ec5f34da6dc50bf41c7f4b3055f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a78ec5f34da6dc50bf41c7f4b3055f7">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>sam_file_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>logger</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>samtools</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">sam_file_path</td><td>File path of the <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </td></tr>
    <tr><td class="paramname">logger</td><td>Logging object to write to. </td></tr>
    <tr><td class="paramname">samtools</td><td>Directory containing samtools executable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab7ac4cf8c597aef5e7175113f5d010a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7ac4cf8c597aef5e7175113f5d010a3">&#9670;&nbsp;</a></span>_read_flags()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM._read_flags </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Read the flags in a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1SAM_ab7ac4cf8c597aef5e7175113f5d010a3_cgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1SAM_ab7ac4cf8c597aef5e7175113f5d010a3_cgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1SAM_ab7ac4cf8c597aef5e7175113f5d010a3_cgraph" id="classMapping_1_1metrics_1_1SAM_ab7ac4cf8c597aef5e7175113f5d010a3_cgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1SAM.html#acf3a6b795b5380de6122481240148df3" title="Get alignments in a SAM file. " alt="" coords="208,5,381,47"/>
</map>
</div>

</div>
</div>
<a id="a380e7fa1040eab9b4d06ca7f7b84fe6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a380e7fa1040eab9b4d06ca7f7b84fe6c">&#9670;&nbsp;</a></span>_read_sam()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM._read_sam </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Read a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file into a pysam object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acf3a6b795b5380de6122481240148df3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf3a6b795b5380de6122481240148df3">&#9670;&nbsp;</a></span>get_alignments()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM.get_alignments </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>reference</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>until_eof</em> = <code>False</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get alignments in a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">reference</td><td>Reference for the <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </td></tr>
    <tr><td class="paramname">until_eof</td><td>Whether to get unaligned reads. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1SAM_acf3a6b795b5380de6122481240148df3_icgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1SAM_acf3a6b795b5380de6122481240148df3_icgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1SAM_acf3a6b795b5380de6122481240148df3_icgraph" id="classMapping_1_1metrics_1_1SAM_acf3a6b795b5380de6122481240148df3_icgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1SAM.html#ab7ac4cf8c597aef5e7175113f5d010a3" title="Read the flags in a SAM file. " alt="" coords="236,5,391,47"/>
<area shape="rect" id="node3" href="classMapping_1_1metrics_1_1SAM.html#a83f0aa0c67dd97a7a1c159e541904091" title="Get flags in a SAM file. " alt="" coords="227,71,400,112"/>
</map>
</div>

</div>
</div>
<a id="a83f0aa0c67dd97a7a1c159e541904091"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83f0aa0c67dd97a7a1c159e541904091">&#9670;&nbsp;</a></span>get_flags()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM.get_flags </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get flags in a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1SAM_a83f0aa0c67dd97a7a1c159e541904091_cgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1SAM_a83f0aa0c67dd97a7a1c159e541904091_cgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1SAM_a83f0aa0c67dd97a7a1c159e541904091_cgraph" id="classMapping_1_1metrics_1_1SAM_a83f0aa0c67dd97a7a1c159e541904091_cgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1SAM.html#acf3a6b795b5380de6122481240148df3" title="Get alignments in a SAM file. " alt="" coords="227,5,400,47"/>
</map>
</div>

</div>
</div>
<a id="a7408c5dd3982f93484d73377466dbc17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7408c5dd3982f93484d73377466dbc17">&#9670;&nbsp;</a></span>get_lengths()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM.get_lengths </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get lengths of references. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0e5aa6c6b75d98de4f2a5a9b9b81f4b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e5aa6c6b75d98de4f2a5a9b9b81f4b7">&#9670;&nbsp;</a></span>get_reference_count()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM.get_reference_count </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get number of references in <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5c94f8ec07314bf5f3e7e5d73ce3308b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c94f8ec07314bf5f3e7e5d73ce3308b">&#9670;&nbsp;</a></span>get_reference_length()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM.get_reference_length </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>reference</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get length of a specific reference. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">reference</td><td>Reference to look up. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1SAM_a5c94f8ec07314bf5f3e7e5d73ce3308b_cgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1SAM_a5c94f8ec07314bf5f3e7e5d73ce3308b_cgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1SAM_a5c94f8ec07314bf5f3e7e5d73ce3308b_cgraph" id="classMapping_1_1metrics_1_1SAM_a5c94f8ec07314bf5f3e7e5d73ce3308b_cgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1SAM.html#a79a8dcf8ef43ccad99f25255ea2b4cdd" title="Get index of reference in pysam references list. " alt="" coords="227,5,400,47"/>
</map>
</div>

</div>
</div>
<a id="a9026a490456db39a18ed3cd39a0b2178"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9026a490456db39a18ed3cd39a0b2178">&#9670;&nbsp;</a></span>get_reference_name()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM.get_reference_name </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ref_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get name of a reference. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">ref_id</td><td>ID of the reference. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a79a8dcf8ef43ccad99f25255ea2b4cdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79a8dcf8ef43ccad99f25255ea2b4cdd">&#9670;&nbsp;</a></span>get_reference_pos()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM.get_reference_pos </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>reference</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get index of reference in pysam references list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
    <tr><td class="paramname">reference</td><td>Reference to look up. </td></tr>
  </table>
  </dd>
</dl>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classMapping_1_1metrics_1_1SAM_a79a8dcf8ef43ccad99f25255ea2b4cdd_icgraph.png" border="0" usemap="#classMapping_1_1metrics_1_1SAM_a79a8dcf8ef43ccad99f25255ea2b4cdd_icgraph" alt=""/></div>
<map name="classMapping_1_1metrics_1_1SAM_a79a8dcf8ef43ccad99f25255ea2b4cdd_icgraph" id="classMapping_1_1metrics_1_1SAM_a79a8dcf8ef43ccad99f25255ea2b4cdd_icgraph">
<area shape="rect" id="node2" href="classMapping_1_1metrics_1_1SAM.html#a5c94f8ec07314bf5f3e7e5d73ce3308b" title="Get length of a specific reference. " alt="" coords="227,5,400,47"/>
</map>
</div>

</div>
</div>
<a id="a6273e6d162b128fa8b3191b0fa7ac8e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6273e6d162b128fa8b3191b0fa7ac8e4">&#9670;&nbsp;</a></span>get_references()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM.get_references </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get references. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a9733bf59827a9097250f3f1ce98e1480"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9733bf59827a9097250f3f1ce98e1480">&#9670;&nbsp;</a></span>get_sam_file()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM.get_sam_file </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return pysam object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7245f996a23477af26e09181bbde925e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7245f996a23477af26e09181bbde925e">&#9670;&nbsp;</a></span>get_sam_file_path()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Mapping.metrics.SAM.get_sam_file_path </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return file path of <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>The object pointer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a327f223e0cbbdf0ccbe6a71961b24937"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a327f223e0cbbdf0ccbe6a71961b24937">&#9670;&nbsp;</a></span>logger</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.SAM.logger</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Logging object to write to. </p>

</div>
</div>
<a id="a8101f983c5b00bcbe016d12060b154e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8101f983c5b00bcbe016d12060b154e3">&#9670;&nbsp;</a></span>sam_file</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.SAM.sam_file</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pysam object of the <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </p>

</div>
</div>
<a id="aebee6817dbab92c8e526d57da4eebe6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebee6817dbab92c8e526d57da4eebe6b">&#9670;&nbsp;</a></span>sam_file_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.SAM.sam_file_path</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>File path of the <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </p>

</div>
</div>
<a id="a021290c24c9b27af87603921b5fda863"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a021290c24c9b27af87603921b5fda863">&#9670;&nbsp;</a></span>sam_flags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.SAM.sam_flags</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>List of flags for a <a class="el" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. ">SAM</a> file. </p>

</div>
</div>
<a id="a7f1aecfc582a95aff4a3863299957655"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f1aecfc582a95aff4a3863299957655">&#9670;&nbsp;</a></span>samtools</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapping.metrics.SAM.samtools</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Directory containing samtools executable. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>metrics.py</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
